Subject: Re: bug#28806: syntax highlighting in ox-odt and emacs26+ broken

From: Eli Zaretskii <[email-masked]>
Date: Fri, 09 Feb 2018 10:57:05 +0200

> From: [email-masked] (Pierre Téchoueyres)
> Cc: Jay Kamat <[email-masked]>,  [email-masked]
> Date: Fri, 09 Feb 2018 00:03:31 +0100
> 
> > Having read all of the references and discussions you've provided, I
> > see no evidence that this is an Emacs issue, as opposed to an Org
> > issue.  I think the Org developers should take a look at this first,
> > and only if they provide clear evidence that the problem is due to
> > Emacs, should the problem come here.
> >
> 
> Hi Eli,
> I don't know if you noticed it but the fact that the uncompiled version
> is working as expected or that an compiled one with an older emacs
> (version 25 for example) tend to indicate a problem on the emacs side.
> 
> I can also add that forcing reevaluation of
> `org-odt-do-format-code' solve the problem.
> 
> Can this be considered as an evidence that the problem is on the emacs
> side ?

No, I don't think so.  All of the above can be the result of some Org
specific problem.  That's why I suggested that the Org developers look
into this issue first.